org.apache.ignite.internal.processors.cache

## Class PendingDiscoveryEvent

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.PendingDiscoveryEvent

    public class PendingDiscoveryEvent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PendingDiscoveryEvent(DiscoveryEvent evt, DiscoCache cache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoCache` `discoCache()`
`DiscoveryEvent` `event()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PendingDiscoveryEvent

    public PendingDiscoveryEvent(DiscoveryEvent evt,
                                 DiscoCache cache)

Parameters:
  `evt` - Event.
  `cache` - Discovery data cache.

### Method Detail

#### event

    public DiscoveryEvent event()

Returns:
  Event.

#### discoCache

    public DiscoCache discoCache()

Returns:
  Discovery data cache.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019